{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "sae-lib": {
      "projectType": "library",
      "root": "projects/sae-lib",
      "sourceRoot": "projects/sae-lib/src",
      "prefix": "sae",
      "architect": {
        "build": {
          "builder": "@angular/build:ng-packagr",
          "configurations": {
            "production": {
              "tsConfig": "projects/sae-lib/tsconfig.lib.prod.json"
            },
            "development": {
              "tsConfig": "projects/sae-lib/tsconfig.lib.json"
            }
          },
          "defaultConfiguration": "production"
        },
        "test": {
          "builder": "@angular/build:karma",
          "options": {
            "tsConfig": "projects/sae-lib/tsconfig.spec.json"
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "projects/sae-lib/**/*.ts",
              "projects/sae-lib/**/*.html"
            ],
            "eslintConfig": "projects/sae-lib/eslint.config.js"
          }
        }
      }
    }
  },
  "cli": {
    "schematicCollections": [
      "angular-eslint"
    ]
  }
}
